VME Intensity Monitor - Support #12746

DCCT Change Driver to read Integer, Not Short.
05/20/2016 04:52 PM - Roger Tokarek

Status: Closed Start date: 05/20/2016
Priority: Normal Due date:

Assignee: Roger Tokarek % Done: 100%
Category: Engineering Estimated time: 1.00 hour
Target version: Spent time: 4.00 hours
Description

Email Request from Engineering:

Can you verify the following mapping of devices?
Z:DCCTAl - x118 (D32)
Z:DCCTA2 - x11C (D32)
Z:DCCTA3 - x120 (D32)

Z:DCCTA2 and Z:DCCTA3 should be readout the same value, but they are not.
Could check this as well?

Also, it would be better to start the numeration with 0 instead of 1.
Can we change Z:DCCTAl to Z:DCCTAO0, and so forth?

History

#1 - 05/23/2016 10:07 AM - Roger Tokarek

Renamed to Z:DCCTAO0, Z:DCCTAT1, Z:DCCTA2, see page D150 ANUB p6.

Corrected return value from signed short to signed int.

Changed SSDN Device ID to 0x0001, now returns counts directly from the DAC Register. (See Bug #12749.)
Engineering check confirms return values. A1 != A2 appears to be a firmware issue.

#2 - 05/23/2016 10:09 AM - Roger Tokarek
- % Done changed from 0 to 100

#3 - 05/23/2016 10:27 AM - Roger Tokarek

- Status changed from New to Closed
